Subject: Re: Relative submodule URLs vs. clone URL DWIMming

From: Johan Herland <[email-masked]>
Date: Sun, 31 Aug 2008 01:23:47 +0200

On Sunday 31 August 2008, Junio C Hamano wrote:
> Johan Herland <[email-masked]> writes:
> I personally feel that cases that involve cloning from non-bare
> repositories (and in addition, DWIMmed repositories), with or without
> nested submodules, are not worth supporting.

Ok. I guess that's fair. Such a decision should definitely be documented 
appropriately in the submodule documentation, though.

I guess this also means you don't plan to do anything about the difference 
in origin URLs produced by "git clone" for the following two cases:

$ git clone /repo/foo bar
$ grep -B1 url bar/.git/config
[remote "origin"]
        url = /repo/foo/.git

vs.

$ git clone file:///repo/foo bar
$ grep -B1 url bar/.git/config
[remote "origin"]
        file:///home/johan/git/foo

Hmm?

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net